Section "ServerLayout"
	Identifier     "XFree86 Configured"
	Screen      0  "Primary" 0 0
        Screen      1  "Secondary-TV" Below "Primary"
        #Screen      1  "Secondary-CRT" Below "Primary"
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
	#InputDevice "vncMouse"    "ExtraPointer"
	#InputDevice "vncKeyboard" "ExtraKeyboard"
EndSection

Section "Files"
    RgbPath      "/usr/X11R6/lib/X11/rgb"
    ModulePath   "/usr/X11R6/lib/modules"
    FontPath 	"/usr/X11R6/lib/X11/fonts/misc"
    FontPath 	"/usr/X11R6/lib/X11/fonts/Speedo"
    FontPath 	"/usr/X11R6/lib/X11/fonts/Type1"
    FontPath 	"/usr/X11R6/lib/X11/fonts/75dpi"
    FontPath 	"/usr/X11R6/lib/X11/fonts/100dpi"
    FontPath 	"/usr/local/share/fonts"
    FontPath 	"/usr/X11R6/lib/X11/fonts"
    FontPath 	"/usr/local/share/fonts/override"
    FontPath 	"/usr/X11R6/lib/X11/fonts/cyrillic"
    FontPath 	"/usr/X11R6/lib/X11/fonts/latin2"
    FontPath 	"/usr/X11R6/lib/X11/fonts/local"
    FontPath 	"/usr/X11R6/lib/X11/fonts/PEX"
    FontPath 	"/usr/X11R6/lib/X11/fonts/TTF"
    FontPath 	"/usr/X11R6/lib/X11/fonts/URW"
EndSection

Section "Module"
	#Load "damage"
	Load  "dbe"
	Load  "dri"
	Load  "extmod"
	Load  "glx"
	Load  "record"
	Load  "xtrap"
	Load  "speedo"
	Load  "type1"
	Load "freetype"
	#Load "vnc"
EndSection

Section "Extensions"
	Option "Composite" "False"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "keyboard"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "auto"
	Option	    "Device" "/dev/sysmouse"
	Option      "Buttons" "6"
EndSection

#Section "InputDevice"
#	# vncKeyboard: keyboard actions from vnc
#	Identifier "vncKeyboard"
#	Driver "rfbkeyb"
#EndSection

#Section "InputDevice"
#	# vncMouse: mouse actions from vnc
#	Identifier "vncMouse"
#	Driver "rfbmouse"
#EndSection

# DFP Entry
Section "Monitor"
	Identifier   "DFP"
	VendorName   "Monitor Vendor"
	ModelName    "Monitor Model"
    	HorizSync   31.5 - 150
    	VertRefresh 30-100
    	Option    "dpms"
	Modeline "1920x1200" 337.58 1920 2072 2288 2656 1200 1201 1204 1271
	#DisplaySize  270 170
EndSection

# TV Entry
Section "Monitor"
	Identifier   "TV-Out"
	VendorName   "Monitor Vendor"
	ModelName    "Monitor Model"
    	HorizSync   30-50
    	VertRefresh 60
EndSection

# CRT Entry (1280x1024)
Section "Monitor"
	Identifier   "CRT-Out"
	VendorName   "Monitor Vendor"
	ModelName    "Monitor Model"
        HorizSync    31.5 - 71
        VertRefresh  50.0 - 75.0
EndSection

# X.Org driver
Section "Device"
	Identifier "nv0"
	Driver	   "nv"

	BusID       "PCI:1:0:0"
EndSection

# nVidia driver
Section "Device"
	Identifier  "Card0a"
	Driver      "nvidia"
	VendorName  "nVidia Corporation"
	BoardName   "Unknown Board"
	BusID       "PCI:1:0:0"

	# nVidia options
	Option      "NvAGP" "1"
	Option      "RenderAccel" "False"
	Option      "NoLogo" "True"

	#Screen      0

	# rfb options
	# By default, no password is required.
	# The next rfbauth uses the root password for vncserver
	#Option "rfbauth"     "/root/.vnc/passwd"
	#Option "rfbport"     "5900"

	# The use one of the next ...shared options ("nevershared" is the default)
	#Option "nevershared"
	# Option "alwaysshared"

	#Option "dontdisconnect"

	# To activate the http server
	#Option "httpdir"     "/usr/share/vnc/classes"
	#Option "httpport"    "5800"

	# For XEvents
	# The local user must accept the new connection.
	# An X application must be used to send the acceptance back to the server.
	# Using the extension library as detailed above. 
	# Option "useraccept"

	# Enable the vnc service on this device, IMPORTANT!!!!!!!!!!!!
	#Option "usevnc"

	# The options below are new in the 4.3.0 release

	# Only listen on the localhost interface
	# Option "localhost"

	# Listen on a specific interface
	# Option "interface" "192.168.0.1"

	# View only session
	# Option "viewonly"

	# The option below is new in the 4.3.0.4 release
	# Option "loginauth"
EndSection

# Secondary display pseudo device
Section "Device"
	Identifier  "Card0b"
	Driver      "nvidia"
	VendorName  "nVidia Corporation"
	BoardName   "Unknown Board"
	BusID       "PCI:1:0:0"
	Screen      1
EndSection

# DFP Screen
Section "Screen"
	DefaultDepth 24
	Identifier "Primary"
	#Device     "nv0"
	Device     "Card0a"
	Monitor    "DFP"
	Option "ConnectedMonitor" "DFP"
	SubSection "Display"
		Depth     24
		Modes	"1920x1200"
	EndSubSection
EndSection

# TV Screen
Section "Screen"
	DefaultDepth 24
	Identifier "Secondary-TV"
	Device     "Card0b"
	Monitor    "TV-Out"
	Option "ConnectedMonitor" "TV"
	Option "TVStandard" "PAL-B"
	Option "TVOverScan" "1.0"

	SubSection "Display"
		Depth     24
		Modes	"800x600"
	EndSubSection
EndSection

# CRT Screen
Section "Screen"
	DefaultDepth 24
	Identifier "Secondary-CRT"
	Device	   "Card0b"
	Monitor	   "CRT-Out"
	Option "ConnectedMonitor" "CRT"
	
	SubSection "Display"
		Depth     24
		Modes	"1280x1024"
	EndSubSection
EndSection

